What's New in ArtCAM Pro 9.0?

By Delcam plc

Issue: 9.018 Release: 22/06/2006


Disclaimer

Delcam plc has no control over the use made of the software described in this manual and cannot accept responsibility for any loss or damage howsoever caused as a result of using the software. Users are advised that all the results from the software should be checked by a competent person, in accordance with good quality control procedures.

Information contained in this manual is subject to change without notice and does not represent a commitment by Delcam plc. The software described in this manual is furnished under licence agreement and may be used or copied in accordance with the terms of such licence. No part of this manual may be reproduced or transmitted in any form or by any means, electronic or mechanical, including photocopying and recording, for any purpose without the express permission of Delcam plc.

Copyright © 1996-2006 Delcam plc. All rights reserved.

Acknowledgements

This documentation references a number of registered trademarks and these are the property of their respective owners. For example, Microsoft and Windows are either registered trademarks or trademarks of Microsoft Corporation in the United Stated and/or other countries.

Patents

The functionality of preparing a 3D relief of the side profile of a human face direct from a photograph in ArtCAM Pro is subject to a patent application.

Patent application: GB 0315916.7 "Photo to 3D"

The functionality of the 3D layers used to design and machine an article in ArtCAM Pro are subject to a patent application.

Patent application: GB 0600873.4 "3D Layers"

Delcam plc
Talbot Way
Small Heath Business Park
Birmingham B10 0HJ
England

Tel: (UK) 0121-766-5544
(Int) +44 121-766-5544

Fax: (UK) 0121-766-5511
(Int) +44 121-766-5511


Overview

ArtCAM Pro 9.0 offers all the original features of ArtCAM Pro 8.1 and the following new features:

  • New Layers Manager. You can now create three different types of layers in your ArtCAM models: vector, bitmap and relief. These layers are controlled using the new Layers Manager. This allows you to create new layers, merge or duplicate existing layers, import or export layers, convert bitmap layers into relief layers and vice versa, toggle their visibility and control the way in which they interact with one another.
  • New Relief Clipart Library. You can now access a library of more than 800 pieces of royalty-free relief clipart for use in your designs. There is a thumbnail image for every piece of relief clipart within the library, making it easy to identify its suitability.
  • New Model Resolution Tool. You can now adjust the resolution of your ArtCAM models.
  • New PDF Import. You can now create an ArtCAM model from a Portable Document Format (*.pdf) file. Vector and bitmap artwork within the pages of the imported PDF document is separated into layers.
  • New Reference Help System. You can now access information about using ArtCAM Pro without needing to refer to printed documentation, and effortlessly search for specific subjects and even instances of a particular word.
  • New ArtCAM Advantage Website. ArtCAM Advantage customers can now access tutorials, training materials (basic and advanced), relief clipart files, documentation and plug-ins from a central site.
  • New ArtCAM Files Folder. All files associated with ArtCAM Pro by default are now contained in a central location on your computer. A shortcut to this folder is also created on your computer desktop.
  • Enhanced Relief Export. You can save a relief layer or the composite relief as a 16-Bit Greyscale TIFF Image (*.tif or *.tiff).
  • Enhanced Tool Database. Several new tools have been added to the Tool Database. These tools are variations of Ogee, Roundover and Raised Panel bits; the most frequently used routing tool shapes in 2.5D machining. You can now also import or export a custom Tool Database.
  • Enhanced Vector Sheets. You can now create vector sheets as part of your ArtCAM model, giving you even further flexibility when working with vector artwork.
  • Enhanced Use of Selected Vector Artwork. The Selection Rectangle tool has been removed, and you can now use selected vector artwork to edit your model dimensions, manipulate bitmap images and create dome shapes.
  • Modified Relief Loading. The way in which relief files are imported into ArtCAM Pro has been modified following the introduction of relief layers.
  • Enhanced Assistant. You can now control the layout of the tools within the various areas of the Assistant, so that only your most frequently used tools are displayed and never appear congested. Selected areas of the Assistant have also been consolidated to make economical use of the available space.
  • Modified Top Toolbar. The tabs associated with the Top Toolbar have now been removed. The introduction of toolsets in the Assistant has significantly reduced the need to rely on the Top Toolbar when working in ArtCAM Pro.
  • Modified Main Menu Bar. The menu options on the Main Menu bar have been consolidated.
  • Improved 2D View Toolbar. You can now toggle the display of the Assistant and the new Layers Manager which allows you to control the size of the workspace area in ArtCAM Pro. You can also display a greyscale image of a selected relief layer. Some of the infrequently used buttons have also been removed.
  • Enhanced 3D View Toolbar. The icons associated with the 3D View toolbar have been updated.
  • Enhanced Project Tree. The icons associated with the Project Tree have been updated.

Only new features available in ArtCAM Pro are documented here.


New Layers Manager

In previous versions of ArtCAM Pro, the Layers tab could be found between the Assistant and Toolpaths tabs on the left side of the interface. The Layers tab has now been relocated along with the Add-In tab to a new panel on the right of the ArtCAM Pro interface. This is now referred to as the Layers Manager.

ArtCAM Pro 8.1 | ArtCAM Pro 9.0
LayersPage-Old | LayersManager-New

Most importantly, the concept of layers is no longer restricted to using vector artwork. There are now three different types of layers in ArtCAM Pro: vector, bitmap and relief. Every new ArtCAM model has a default vector, bitmap and relief layer, although you can create as many of these layers as you like.

The introduction of bitmap layers means that you no longer have to save multiple instances of your ArtCAM model files (*.art).

Each of the three different types of layers are grouped into separate areas on the Layers Manager. The layers contained in these three areas are stacked above one another. Each of the three areas has its own toolbar, and this is located directly above the layer stack:

Vectors...

Create New Layer Open Layer Save Layer Duplicate Layer Merge Visible Layers Delete Selected Layer Toggle All Visibility

Bitmaps...

Create New Layer Open Layer Save Layer Duplicate Layer Clear Layer Create Relief From Image Delete Selected Layer Toggle All Visibility

Reliefs...

Create New Layer Open Layer Save Layer Duplicate Layer Transfer Opposite Side Merge Visible Layers Create Greyscale Bitmap Delete Selected Layer Toggle All Visibility

The original Active Sheet list box appears in the Vectors area of the Layers Manager and can be used in exactly the same way as in previous versions of ArtCAM Pro. For further information, see Enhanced Vector Sheets.

The following items are no longer associated with the Layers tab:

  • The Rename button RenameButton-Old.
    • You can rename a vector, bitmap or relief layer in the Layers Manager by double-clicking on its name. For details, see Naming a Layer.
  • The Select All button SelectAllButton.
    • You can use the Ctrl + A buttons on your keyboard to select all of the vector artwork shown in the 2D View window.
  • The Selected Vector, move to list box.
    • You can transfer a selection of vectors to another vector layer if you right-click on the selected vector(s) to display their context menu, click on the Move to Layer option and then on the option for the name of the vector layer to where you want the artwork to be sent.
  • The Toggle Help options: ShowHelp-Old, HideHelp-Old and ToggleHelpButton-Old.
    • Although there is no In-line Help associated with the new Layers Manager, you can find information about this using the Help > Index menu option from the Main Menu bar. For details, see New Reference Help System.
  • The Close button CloseLayersPage-Old.
    • You can press the F7 key on your keyboard to toggle the display of the panel that hosts the Layers Manager and Add In tabs.
Summary

The table below contains a summary of the changes associated with the Layers tab:

ArtCAM Pro 8.1 | ArtCAM Pro 9.0
Merge Visible button MergeVisibleButton-Old . | Merge Visible button MergeVisibleButton-New in the Vectors and Reliefs area of the Layers Manager.
Create button CreateButton-Old . | Create button CreateButton-New in the Vectors, Bitmaps and Reliefs area of the Layers Manager.
Delete button DeleteButton-Old . | Delete button DeleteButton-New in the Vectors, Bitmaps and Reliefs area of the Layers Manager.
The name of a selected layer is emphasized in dark blue. | The name of a selected layer is emphasized in dark grey.

In This Chapter

Naming a Layer

Creating a New Layer

Viewing a Layer

Selecting a Layer

Duplicating a Layer

Merging Layers

Loading a Layer

Assigning a Combine Mode to a Relief Layer

Saving a Layer

Deleting Layers

Locking a Vector Layer

Snapping on a Vector Layer

Assigning a Colour to a Vector Layer

Transferring Vectors Between Layers

Clearing a Bitmap Layer

Creating a Bitmap Layer from a Relief Layer

Adjusting the Layer Stacking Order

Creating a Relief Layer from a Bitmap Layer

Transferring Relief Layers Between Stacks

Pasting a Relief Area to a New Layer

Saving a Composite Relief

Using a Composite Relief to Create a Closed Triangle Mesh


Naming a Layer

The default name given to each layer indicates the order in which it has been created only. It is recommended that you should name a layer so that it provides an indication of its content or its overall purpose in the scheme of the model.

You can change the name of any vector, bitmap or relief layer, other than the default vector layer.

To change the name of a layer:

  1. Click on the Layers tab [image] to display the Layers Manager.
  2. Double-click on the layer that you want to rename to display its name box and associated buttons.

    Before...

    After...

    • You cannot rename the default layer in the Vectors area of the Layers Manager. If you double-click on the default layer in the stack, a message box appears warning you that the layer cannot be renamed:

      Click on the OK button to close the message box.

  3. Type the new name for the layer in its name box.
  4. Click on the [image] button to apply the name to the layer. The name box and its associated buttons are no longer displayed.

    Before...

    After...

    • If you no longer want to change the name of the selected layer, click on [image] button.

See Also

New Layers Manager

Creating a New Layer

Viewing a Layer

Selecting a Layer

Duplicating a Layer

Merging Layers

Loading a Layer

Assigning a Combine Mode to a Relief Layer

Saving a Layer

Deleting Layers

Locking a Vector Layer

Snapping on a Vector Layer

Assigning a Colour to a Vector Layer

Transferring Vectors Between Layers

Clearing a Bitmap Layer

Creating a Bitmap Layer from a Relief Layer

Adjusting the Layer Stacking Order

Creating a Relief Layer from a Bitmap Layer

Transferring Relief Layers Between Stacks

Pasting a Relief Area to a New Layer

Saving a Composite Relief


Creating a New Layer

You can create a new vector, bitmap and/or relief layer as part of your model. Every ArtCAM model contains a default vector, bitmap and relief layer, and each of these are contained in separate areas on the Layers Manager.

Each new layer is created directly above the layer that is currently selected in the layer stack. A new layer is always selected after it has been created.

Relief layers are given a default Relief Combine Mode. The Relief Combine Mode controls how each of the relief layers in the stack interact with one another to form the composite relief. You can toggle the Relief Combine Mode associated with a relief layer. For details, see Assigning a Combine Mode to a Relief Layer.

Vector layers are given a default colour of black. You can change this colour at any time. For details, see Assigning a Colour to a Vector Layer. You cannot change the name of the default vector layer in the model. You can create up to 990 vector layers in a single ArtCAM model.

To create a new layer:

  1. Click on the Layers tab [image] to display the Layers Manager.
  2. Click on the New Layer button NewLayerButton in the area according to which kind of layer it is that you want to create: Vector, Bitmap or Relief.

If you have created a new vector layer, it is named Vector Layer by default. If you have created a bitmap layer, it is named Bitmap Layer by default. If you have created a relief layer, it is named Relief Layer by default. All layers are numbered sequentially by default.

For each new vector layer that you create:

  • the Toggle Visibility option is selected by default [image];
  • the Toggle Snapping option is selected by default [image];
  • the Toggle Locking option is deselected by default [image]; and
  • the colour black is assigned by default [image].

    For further details, see Viewing a Layer, Snapping on a Vector Layer, Locking a Vector Layer and Assigning a Colour to a Vector Layer.

For each new relief layer that you create:

  • the Toggle Visibility option is selected by default [image]; and
  • the Add Relief Combine Mode is selected by default AddCombineMode.

    For further details, see Viewing a Layer and Assigning a Combine Mode to a Relief Layer.

See Also

New Layers Manager

Naming a Layer

Viewing a Layer

Selecting a Layer

Duplicating a Layer

Merging Layers

Loading a Layer

Assigning a Combine Mode to a Relief Layer

Saving a Layer

Deleting Layers

Locking a Vector Layer

Snapping on a Vector Layer

Assigning a Colour to a Vector Layer

Transferring Vectors Between Layers

Clearing a Bitmap Layer

Creating a Bitmap Layer from a Relief Layer

Adjusting the Layer Stacking Order

Creating a Relief Layer from a Bitmap Layer

Transferring Relief Layers Between Stacks

Pasting a Relief Area to a New Layer

Saving a Composite Relief


Viewing a Layer

You can toggle the visibility of the layers in a model.

  • Vector and Bitmap layers are seen in the 2D View window. Relief layers are seen in the 3D View window.

You can control the visibility of layers in the following ways:

  • Click on the Toggle Visibility button [image] to hide the contents of a layer.
  • Click on the Toggle Visibility button [image] to show the contents of a layer.
  • Click on the Toggle All Visibility button [image] to simultaneously hide the content on all layers in the model.
  • Click on the Toggle All Visibility button [image] to simultaneously show the content on all layers in the model.

When a vector layer is visible, the artwork drawn on that layer is shown in the 2D View window in the particular colour assigned to the layer. For details, see Assigning a Colour to a Vector Layer.

  • You can only hide the artwork on a vector layer shown in the 2D View window. If you want to hide a toolpath preview associated with a vector, see Hiding A Toolpath.
  • If you try to create a vector on a selected vector layer when it is hidden [image], its visibility is automatically toggled on [image].
  • You cannot merge a vector layer with another when it is hidden [image]. For details, see Merging Layers.

Only the bitmap layer which is selected can be seen in the 2D View window at a time. For details, see Selecting a Layer.

When a relief layer is visible, it is displayed as part of the composite relief shown in the 3D View window.

See Also

New Layers Manager

Naming a Layer

Creating a New Layer

Selecting a Layer

Duplicating a Layer

Merging Layers

Loading a Layer

Assigning a Combine Mode to a Relief Layer

Saving a Layer

Deleting Layers

Locking a Vector Layer

Snapping on a Vector Layer

Assigning a Colour to a Vector Layer

Transferring Vectors Between Layers

Clearing a Bitmap Layer

Creating a Bitmap Layer from a Relief Layer

Adjusting the Layer Stacking Order

Creating a Relief Layer from a Bitmap Layer

Transferring Relief Layers Between Stacks

Pasting a Relief Area to a New Layer

Saving a Composite Relief


Selecting a Layer

To select a layer:

  1. Click on the Layers tab [image] to display the Layers Manager.
    • If you cannot see the Layers Manager, press the F7 key on your keyboard to toggle its display.
  2. Click on the name of the layer in the stack that you want to select. Its name is emphasized in dark-grey.

    For example, if you select the default layer in the Vectors area of the Layers Manager, it appears as follows:

    Before...

    After...

See Also

New Layers Manager

Naming a Layer

Creating a New Layer

Viewing a Layer

Duplicating a Layer

Merging Layers

Loading a Layer

Assigning a Combine Mode to a Relief Layer

Saving a Layer

Deleting Layers

Locking a Vector Layer

Snapping on a Vector Layer

Assigning a Colour to a Vector Layer

Transferring Vectors Between Layers

Clearing a Bitmap Layer

Creating a Bitmap Layer from a Relief Layer

Adjusting the Layer Stacking Order

Creating a Relief Layer from a Bitmap Layer

Transferring Relief Layers Between Stacks

Pasting a Relief Area to a New Layer

Saving a Composite Relief


Duplicating a Layer

You can duplicate a selected vector, bitmap or relief layer. In doing so, the contents of the original layer and its associated settings are reproduced on a new layer.

  1. Select the layer that you want to duplicate. Its name is emphasized in dark-grey. For details, see Selecting a Layer.
  2. Click on the Duplicate Layer button DuplicateLayerButton associated with the type of layer that you are now duplicating.

    For example, if you are duplicating a vector layer, click on the Duplicate Layer button DuplicateLayerButton shown in the Vectors area.

    The new duplicate layer is created directly above the original layer in the stack from which it has been created.

    • After duplicating a relief layer, you can set the overall position of the resulting layer in the stack using the ReliefLayerUpButton and ReliefLayerDownButton buttons located at the bottom-right of the stack. For details, see Adjusting the Layer Stacking Order.

      The default name of the new duplicate layer adopts the name of the original layer from which it has been created along with a Copy of prefix. For example, a duplicate of Relief Layer 1 is named Copy of Relief Layer 1.

      When creating a duplicate vector layer, the duplicate layer assumes all of the properties associated with the original layer. This includes its current colour, whether or not it is locked, its visibility and whether or not snapping is active.

      When creating a duplicate relief layer, the duplicate layer assumes all of the properties associated with the original layer. This includes its current relief combination method and visibility.

See Also

New Layers Manager

Naming a Layer

Creating a New Layer

Viewing a Layer

Selecting a Layer

Merging Layers

Loading a Layer

Assigning a Combine Mode to a Relief Layer

Saving a Layer

Deleting Layers

Locking a Vector Layer

Snapping on a Vector Layer

Assigning a Colour to a Vector Layer

Transferring Vectors Between Layers

Clearing a Bitmap Layer

Creating a Bitmap Layer from a Relief Layer

Adjusting the Layer Stacking Order

Creating a Relief Layer from a Bitmap Layer

Transferring Relief Layers Between Stacks

Pasting a Relief Area to a New Layer

Saving a Composite Relief


Merging Layers

When working with vector or relief layers, you can combine multiple visible layers into a single new layer. This decreases the memory requirements of the ArtCAM model. However, because these layers have been consolidated into a single layer they can no longer be edited separately.

To merge the content all visible layers into a single new layer:

  1. Click on the Layers tab [image] to display the Layers Manager.
  2. If you are merging vector layers:
    • Make sure that all of the layers that you want to merge are visible. For details, see Viewing a Layer.
    • Click to select the layer in the stack above which you want to create the new layer on which all other visible layers are consolidated. Its name is emphasized in dark-grey.

      For example, if you select the default layer in the Vectors area of the page it appears as follows:

      If you are merging relief layers:

    • Make sure that all of the layers that you want to merge are visible. For details, see Viewing a Layer.
    • Make sure that the correct side of the model is selected in the list box in the Reliefs area of the page. For details, see Transferring Relief Layers Between Stacks.
    • Make sure that the correct Relief Combine Mode is selected for each of the visible layers that you want to merge. For details, see Assigning a Combine Mode to a Relief Layer.
    • Click on the icon to the left of the layer name to display the Relief Combine Mode toolset associated with a relief layer:

      Click on the Add ReliefLayerCombineMethodIcon-Add combine mode if you want to add the content of the visible relief layer to the next visible layer above in the stack.

      Click on the Subtract ReliefLayerCombineMethodIcon-Subtract combine mode is selected if you want to subtract the content of the visible relief layer from the next visible layer above in the stack.

      Click on the Merge High ReliefLayerCombineMethodIcon-Add combine mode if you want to merge the content of the visible relief layer with the next visible layer above in the stack, so that only the highest points remain.

      Click on the Merge Low ReliefLayerCombineMethodIcon-MergeLow combine mode if you want to merge the content of the visible relief layer with the next visible layer above in the stack, so that only the lowest points remain.

      Click on the Multiply ReliefLayerCombineMethodIcon-Reset combine mode if you want to multiply the height of the points on the visible relief layer by the coincident (matching) points on the next visible layer above in the stack.

  3. Make sure that the visibility is deselected [image] for all of the layers in the stack that you do not want to merge. For details, see Viewing a Layer.
  4. Click on the Merge Visible button MergeVisibleButton to merge all of the visible layers in the stack.

    If you are merging vector layers, the original vector artwork drawn across the previously visible layers is consolidated on a new vector layer named Merged Layer by default. The merged layer is created directly above the selected vector layer in the stack. The colour black is assigned to the merged layer, and it is also visible by default. The visible layers that hosted the vector artwork prior to merging remain in the stack, although they are now hidden and empty.

    Each time that you merge a selection of visible vector layers, a new merged layer is created in the stack. These are numbered consecutively.

    If you are merging relief layers, the shapes created across the visible layers are consolidated on a new relief layer. This new relief layer is created at the top of the stack and is named Merged Layer by default.

    Exactly how each of the separate relief layers are consolidated to form the merged layer depends on what combination method is assigned to each of them prior to merging.

    Each time that you merge a selection of visible relief layers, a new merged layer is created in the stack. These are numbered consecutively.

    Press the F3 key on your keyboard to display the 3D View window. You can see how the composite relief changes each time the Relief Combine Mode associated with any of the visible relief layers is changed or the order in which they are stacked is adjusted.

See Also

New Layers Manager

Naming a Layer

Creating a New Layer

Viewing a Layer

Selecting a Layer

Duplicating a Layer

Loading a Layer

Assigning a Combine Mode to a Relief Layer

Saving a Layer

Deleting Layers

Locking a Vector Layer

Snapping on a Vector Layer

Assigning a Colour to a Vector Layer

Transferring Vectors Between Layers

Clearing a Bitmap Layer

Creating a Bitmap Layer from a Relief Layer

Adjusting the Layer Stacking Order

Creating a Relief Layer from a Bitmap Layer

Transferring Relief Layers Between Stacks

Pasting a Relief Area to a New Layer

Saving a Composite Relief


Loading a Layer

You can load three types of layer to an ArtCAM model: a vector, bitmap or relief layer.

Loading a Vector Layer

You can load a vector artwork file saved in any of the following formats as a new vector layer:

  • Adobe Illustrator image (*.ai)
  • Encapsulated PostScript (*.eps)
  • Drawing Interchange Format, including PowerSHAPE and AutoCAD (*.dxf)
  • AutoCAD 2D Drawing (*.dwg)
  • Lotus, PC Paint or DUCT picture (*.pic)
  • Delcam DGK (*.dgk)
  • Windows MetaFile (*.wmf)
  • Windows Enhanced MetaFile (*.emf)

The new vector layer is created directly above the currently selected vector layer in the stack shown in the Vectors area of the Layers Manager.

  • If you want to import the contents of a vector artwork file to an existing vector layer, make sure that the relevant vector layer is selected and then click on the File > Import...> Vector Data... option from the Main menu bar. For details, see Importing Vector Artwork.

To import the contents of a vector artwork file as a new vector layer:

  1. Click on the Open button OpenNewLayerButton in the Vectors area of the Layers Manager to display the Load Vector Layer dialog box:

    • You can also display the Load Vector Layer dialog box by clicking on the Vectors > Load Layer... option from the Main menu bar.
  2. Click on the Files of type list box, and then on the type of vector artwork file that you want to import as a new vector layer.
  3. Use either of the following methods to find the vector artwork file that you want to import as a new vector layer:
    • By default, ArtCAM Pro lists files in the ArtCAM model format (*.art) only. You can display all compatible files by clicking on the Files of Type list box followed by the All Files (*.*) option, or limit the files to an alternative format by clicking to select the specific file type in the Files of Type list box.
    • You can use the Look in list box and the Up One Level button UpOneLevelButton to navigate to the directory or folder containing the file from which you want to create a new vector layer.
  4. Once you have found the vector artwork file, click to select the file listed in the main window of the Load Vector Layer dialog box. Its name appears in the File name box.
  5. Click on the Open button to import the vector artwork file as a new vector layer.

    If you are importing vector artwork saved as a *.dxf file, the Imported File dialog box is displayed:

    Make sure that the settings for the imported vector artwork is correct:

    • If you want to position the imported vector data in the centre of the vector layer, click to select the Centre in Page option.
    • Make sure that the units of measurement (mm or inches) for the imported vector data are the same as those being used in the ArtCAM model by clicking on the appropriate radio button in the File Units area.
    • If you want to identify all self-intersecting spans in the vector data within tolerance, make sure that the Check for crossings and self-intersections option is selected and that the appropriate tolerance is defined in the Intersection Tolerance box.
    • Self-intersecting spans are shown in red when selected with white circular shapes marking the positions where the spans overlap.
    • If you want to rejoin any spans in the vector data that have been 'exploded' within tolerance, make sure that the Automatically rejoin vectors option is selected and that the appropriate tolerance is defined in the Rejoining Tolerance box.

      Click on the OK button to close the dialog box and import the vector artwork.

      If you are importing vector artwork saved as an Encapsulated PostScript (*.eps ) or Adobe Illustrator (*.ai) file with its origin outside of the ArtCAM model, the Choose location of data dialog box is displayed:

      Click on either of the radio buttons to select where you want to position the vector artwork in the vector layer:

    • If you want to position the vector artwork according to the X and Y co-ordinates stored in the file itsef, select the Position the data using the location in the EPS file option by clicking on its radio button.
    • If you want to position the vector artwork in the centre of the vector layer, select the Position the data in the centre of the ArtCAM image option by clicking on its radio button.

      Click on the OK button to close the dialog box and import the vector artwork.

      A new vector layer is created directly above the layer currently selected in the stack shown in the Vectors area of the Layers Manager. The vector layer adopts the name of the imported vector artwork file. The artwork on this new vector layer is selected by default.

    • If you are importing a vector data file that contains layers itself, all of the artwork in the file is consolidated on a single new vector layer in the ArtCAM model. If you want to preserve the layer information within the imported file, use the File > Import... > Vector Data... menu option from the Main Menu bar instead.
    • If you are importing a vector data file that already contains layers, the layer information within the file is preserved. If the name given to a layer in the imported file is shared by an existing vector layer in the stack, the artwork on the layer in the file is transferred to the layer of the same name in the stack. If there is no layer in the stack that shares the name of a layer in the imported file, a new vector layer is created which adopts the name originally given to the layer in the file.

      Each new vector layer created from the imported file is also assigned a red colour by default DXFLayerDefaultColour.

Loading a Bitmap Layer

You can load an image file saved in any of the following formats as a new bitmap layer:

  • ArtCAM Model (*.art)
  • ArtCAM Relief (*.rlf)
  • JPEG image (*.jpg or *.jpeg)
  • CompuServe image (*.gif)
  • Windows Bitmap (*.bmp)
  • PC Paintbrush (*.pcx)
  • Tagged Image File (*.tif or *.tiff)
  • TrueVision Targa (*.tga)
  • Windows MetaFile (*.wmf)
  • Windows Enhanced MetaFile (*.emf)

The new bitmap layer is created directly above the currently selected bitmap layer in the stack shown in the Bitmaps area of the Layers Manager.

To load an image file as a new bitmap layer:

  1. Click on the Open button OpenNewLayerButton in the Bitmaps area of the Layers Manager to display the Load Bitmap Layer dialog box:

    • You can also display the Load Bitmap Layer dialog box by clicking on the Bitmaps > Load Layer... option from the Main menu bar.
  2. Click on the Files of type list box, and then on the image file type that you want to import on a new bitmap layer.
  3. Use either of the following methods to find the image file that you want to import on a new bitmap layer:
    • By default, ArtCAM Pro lists files in the ArtCAM model format (*.art) only. You can display all compatible files by clicking on the Files of Type list box followed by the All Files (*.*) option, or limit the files to an alternative format by clicking to select the specific file type in the Files of Type list box.
    • You can use the Look in list box and the Up One Level button UpOneLevelButton to navigate to the directory or folder containing the file from which you want to create a model.
  4. Once you have found the image file, click to select the file listed in the main window of the Load Bitmap Layer dialog box. Its name appears in the File name box.

    In the Model Preview area you can see a preview of the selected image file. A greyscale representation of the selected image file is displayed in the Relief Information area along with its dimensions in pixels.

    • When choosing an image, the greyscale representation shown in the Relief Information area provides an indication of the form that a resulting relief layer will take. Consider that the brightest areas of the greyscale image reflect the highest areas in the resulting relief layer, while the darkest areas reflect the lowest.
  5. If you want to scale the selected image file, click on the Scaling list box followed by the appropriate scaling option:
    • None - Click on this option if you do not want to scale the selected image.
    • Fit - Click on this option if you want to maintain the aspect ratio of the selected image. If the selected image is equal to or larger than the model area (the white area) in the 2D View window, the selected image fills this without being cropped. If the selected image is smaller than the model area, ArtCAM Pro adds borders around the image to compensate. The border adopts the colour found in the top-left pixel in the selected image.
    • Fill - Click on this option if you want to crop areas of the selected image outside of the model area (the white area) in the 2D View window. The selected image fills the model area and its original aspect ratio is maintained.
    • Stretch - Click on this option if you want to distort the image, so that it fills the model area (the white area) in the 2D View window. Although the selected image is resized to fill the model area, its original aspect ratio is not maintained.
  6. Click on the Open button to import the image into the ArtCAM model as a new bitmap layer. The new bitmap layer appears directly above the currently selected layer in the stack in the Bitmaps area of the Layers Manager. The bitmap layer adopts the name of the image file from which it is created.
Loading a Relief Layer

You can load a relief file saved in any of the following formats as a new relief layer.

  • ArtCAM Model (*.art)
  • ArtCAM Relief (*.rlf)
  • JPEG Image (*.jpg and *.jpeg)
  • CompuServe Image (*.gif)
  • Windows Bitmap (*.bmp)
  • PC Paintbrush (*.pcx)
  • Tagged Image File (*.tif and *.tiff)
  • TrueVision Targa (*.tga)
  • Windows Metafile (*.wmf)
  • Enhanced Windows Metafile (*.emf)

The new relief layer is created directly above the currently selected relief layer in the stack shown in the Reliefs area of the Layers Manager.

To load a relief file as a new relief layer:

  1. Click on the Open button OpenNewLayerButton in the Reliefs area of the Layers Manager to display the Load Relief Layer dialog box:

    • You can also display the Load Relief Layer dialog box by clicking on the Reliefs > Load Layer... option from the Main menu bar.
  2. Use either of the following methods to find the relief file that you want to import as a new relief layer:
    • By default, ArtCAM Pro lists files in the ArtCAM model format (*.art) only. You can display all compatible files by clicking on the Files of Type list box followed by the All Files (*.*) option, or limit the files to an alternative format by clicking to select the specific file type in the Files of Type list box.
    • You can use the Look in list box and the Up One Level button UpOneLevelButton to navigate to the directory or folder containing the file from which you want to create a new relief layer.
  3. Once you have found the relief file, click to select the file listed in the main window of the Load Relief Layer dialog box. Its name appears in the File name box.

    In the Model Preview area you can see a preview of the selected image file. A greyscale representation of the selected image file is displayed in the Relief Information area along with its dimensions in pixels.

    • When choosing a relief, the greyscale representation shown in the Relief Information area provides an indication of the form that a resulting relief layer will take. Consider that the brightest areas of the greyscale image reflect the highest areas in the resulting relief layer, while the darkest areas reflect the lowest.
  4. Click on the Mode list box and then on the Relief Combine Mode that you want to assign to the new relief layer. For an explanation of each of the Relief Combine Modes, see Assigning a Combine Mode to a Relief Layer.
  5. Click on the Open button to create the new relief layer. The new relief layer appears directly above the currently selected layer in the stack in the Reliefs area of the Layers Manager. The relief layer adopts the name of the relief file from which it is created.

See Also

New Layers Manager

Naming a Layer

Creating a New Layer

Viewing a Layer

Selecting a Layer

Duplicating a Layer

Merging Layers

Assigning a Combine Mode to a Relief Layer

Saving a Layer

Deleting Layers

Locking a Vector Layer

Snapping on a Vector Layer

Assigning a Colour to a Vector Layer

Transferring Vectors Between Layers

Clearing a Bitmap Layer

Creating a Bitmap Layer from a Relief Layer

Adjusting the Layer Stacking Order

Creating a Relief Layer from a Bitmap Layer

Transferring Relief Layers Between Stacks

Pasting a Relief Area to a New Layer

Saving a Composite Relief


Assigning a Combine Mode to a Relief Layer

You can control the way in which relief layers combine to form the composite relief. The Relief Combine Mode assigned to each relief layer directly affects the way in which the composite relief takes shape.

To assign a Relief Combine Mode to a relief layer:

  1. Click on the Layers tab [image] to display the Layers Manager.
  2. Select the layer from the stack in the Reliefs area to which you want to assign a new Relief Combine Mode. For details, see Selecting a Layer.
  3. Make sure that the 3D View window is displayed so that you can see how the composite relief changes as a result of altering the Relief Combine Mode associated with the selected layer. For details, see 3D View.
  4. Click on the FlyoutToolbarArrow-Layers icon along the right-edge of the Relief Combine Mode currently selected to display the Relief Combine Mode toolset:

  5. Click on the button for the Relief Combine Mode method that you want to assign to the selected layer.
    • Click on the Add ReliefLayerCombineMethodIcon-Add combine mode if you want to add the content of the visible relief layer to the next visible layer above in the stack.
    • Click on the Subtract ReliefLayerCombineMethodIcon-Subtract combine mode is selected if you want to subtract the content of the visible relief layer from the next visible layer above in the stack.
    • Click on the Merge High ReliefLayerCombineMethodIcon-Add combine mode if you want to merge the content of the visible relief layer with the next visible layer above in the stack, so that only the highest points remain.
    • Click on the Merge Low ReliefLayerCombineMethodIcon-MergeLow combine mode if you want to merge the content of the visible relief layer with the next visible layer above in the stack, so that only the lowest points remain.
    • Click on the Multiply ReliefLayerCombineMethodIcon-Reset combine mode if you want to multiply the height of the points on the visible relief layer by the coincident (matching) points on the next visible layer above in the stack.
    • You can also toggle through the different Relief Combine Modes by clicking on the button itself.

    • Unlike the toolsets found in the Assistant's Home page, you cannot pin the Relief Combine Mode toolset on the Layers Manager.
    • If you create a new relief layer, the Add AddCombineMode Relief Combine Mode is selected by default. For details, see Creating a New Layer.
    • When you load a relief layer into the stack, you can set the Relief Combine Mode associated with the layer at the same time. For details, see Loading a Layer.
    • In order to produce a feasible composite relief, the relief layer to which the Multiply MultiplyCombineMode Relief Combine Mode is applied should have a Max Z height of between 0 and 1.

The following image illustrates how different shapes created on eight different relief layers are combined to form a composite relief in the shape of a Teddy Bear:

See Also

New Layers Manager

Naming a Layer

Creating a New Layer

Viewing a Layer

Selecting a Layer

Duplicating a Layer

Merging Layers

Loading a Layer

Saving a Layer

Deleting Layers

Locking a Vector Layer

Snapping on a Vector Layer

Assigning a Colour to a Vector Layer

Transferring Vectors Between Layers

Clearing a Bitmap Layer

Creating a Bitmap Layer from a Relief Layer

Adjusting the Layer Stacking Order

Creating a Relief Layer from a Bitmap Layer

Transferring Relief Layers Between Stacks

Pasting a Relief Area to a New Layer

Saving a Composite Relief


Saving a Layer

You can save a selected vector, bitmap or relief layer in a variety of different file types.

  1. Click on the Layers tab [image] to display the Layers Manager.
  2. Select the layer that you want to save. Its name is emphasized in dark-grey. For details, see Selecting a Layer.
  3. Click on the Save button SaveLayerButton in the toolbar associated with the type of layer that you want to save. The Save dialog box appears.

    For example, when saving a relief layer the Save Relief Layer dialog box appears as follows:

    • You can also save a vector layer from the Main menu bar by clicking on the Vectors > Save Layer... option.
    • You can also save a bitmap layer from the Main menu bar by clicking on the Bitmaps > Save Layer... option.
    • You can also save a relief layer from the Main menu bar by clicking on the Reliefs > Save Layer... option.
  4. If you want to specify the location in which the layer is saved, click on the Save In list box and then select the relevant directory on your computer.
    • If you are saving a vector layer for the first time, the C:\Documents and Settings\All Users\Documents\ArtCAM Files\\Vector Libraries directory is selected by default. Otherwise, ArtCAM Pro remembers the last location in which you saved a file.
    • If you are saving a bitmap layer for the first time, the C:\Documents and Settings\All Users\Documents\My Pictures directory is selected by default. Otherwise, ArtCAM Pro remembers the last location in which you saved a file.
    • If you are saving a relief layer for the first time, the C:\Documents and Settings\All Users\Documents\ArtCAM Files\\Reliefs directory is selected by default. Otherwise, ArtCAM Pro remembers the last location in which you saved a file.
  5. The name of the layer you are saving is shown in the File name area by default. If you want to change the name of the file, type its new name here.
  6. Click on the Save as type list box and select the format in which you want to save the layer.

    If you are saving a vector layer, you can save it in any of the following file formats:

    • Encapsulated PostScript (*.eps)
    • Drawing Interchange File (*.dxf)
    • Delcam DGK (*.dgk)
    • Lotus, PC Paint or DUCT Picture (*.pic)

      If you are saving a bitmap layer, you can save it in any of the following file formats:

    • Windows Bitmap (*.bmp)
    • Tagged Image File (*.tif)
    • PC Paintbrush (*.pcx)
    • CompuServe Image (*.gif)
    • JPEG Image (*.jpg or *.jpeg)

      If you are saving a relief layer, you can save it in any of the following file formats:

    • ArtCAM Relief (*.rlf)
    • Windows Bitmap (*.bmp)
    • 16-Bit Greyscale TIFF Image (*.tif)
    • Saving a relief layer as a 16-Bit Greyscale TIFF image allows you to edit the image in any reputable graphics editing package, such as Adobe Photoshop, without loss of resolution.
  7. Click on the Save button to save the layer and close the Save As dialog box.
    • If you want to close the Save As dialog box without saving the selected layer, click on the Cancel button.

See Also

New Layers Manager

Naming a Layer

Creating a New Layer

Viewing a Layer

Selecting a Layer

Duplicating a Layer

Merging Layers

Loading a Layer

Assigning a Combine Mode to a Relief Layer

Deleting Layers

Locking a Vector Layer

Snapping on a Vector Layer

Assigning a Colour to a Vector Layer

Transferring Vectors Between Layers

Clearing a Bitmap Layer

Creating a Bitmap Layer from a Relief Layer

Adjusting the Layer Stacking Order

Creating a Relief Layer from a Bitmap Layer

Transferring Relief Layers Between Stacks

Pasting a Relief Area to a New Layer

Saving a Composite Relief


Deleting Layers

You can delete any layer in a model. If you delete a vector layer, you must choose whether or not to transfer the vector artwork hosted on the layer to the default layer or delete the artwork along with the layer itself.

To delete a layer:

  1. Click on the Layers tab [image] to display the Layers Manager.
  2. Select the layer in the stack that you want to delete. Its name is emphasized in dark-grey. For details, see Selecting a Layer.
  3. Click on the Delete button DeleteLayersButton to delete the selected layer.
    • If you accidentally delete a layer, you can use the Ctrl + Z keys on your keyboard to restore the layer to the stack from which it was deleted. The layer also assumes its original position in the stack.
    • Deleting a relief layer can significantly affect the appearance of the composite relief shown in the 3D View window. You may need to adjust the combine mode associated with the remaining relief layers in the stack afterwards. For details, see Assigning a Combine Mode to a Relief Layer.

      If you are deleting a vector layer, the following message box appears:

    • If you want to transfer the artwork on the selected vector layer to the default layer before it is deleted, click on the Yes button.
    • If you use the Ctrl + Z keys on your keyboard to restore a deleted vector layer to the stack, any artwork transferred to the default layer at the time it was deleted is moved back to the vector layer on which it was originally drawn.
    • If you want to delete the selected vector layer along with the artwork drawn on the layer , click on the No button.
    • If you no longer wish to delete the selected vector layer, click on the Cancel button.

See Also

New Layers Manager

Naming a Layer

Creating a New Layer

Viewing a Layer

Selecting a Layer

Duplicating a Layer

Merging Layers

Loading a Layer

Assigning a Combine Mode to a Relief Layer

Saving a Layer

Locking a Vector Layer

Snapping on a Vector Layer

Assigning a Colour to a Vector Layer

Transferring Vectors Between Layers

Clearing a Bitmap Layer

Creating a Bitmap Layer from a Relief Layer

Adjusting the Layer Stacking Order

Creating a Relief Layer from a Bitmap Layer

Transferring Relief Layers Between Stacks

Pasting a Relief Area to a New Layer

Saving a Composite Relief


Locking a Vector Layer

You can lock or unlock selected artwork drawn on a vector layer, so that it cannot be moved accidentally. Locking, however, does not prevent you from transferring artwork from one vector layer to another.

  • Click on the Toggle Locking button [image] to lock the selected artwork on a vector layer.
  • Click on the Toggle Locking button [image] to unlock all locked artwork on a vector layer.

See Also

New Layers Manager

Naming a Layer

Creating a New Layer

Viewing a Layer

Selecting a Layer

Duplicating a Layer

Merging Layers

Loading a Layer

Assigning a Combine Mode to a Relief Layer

Saving a Layer

Deleting Layers

Snapping on a Vector Layer

Assigning a Colour to a Vector Layer

Transferring Vectors Between Layers

Clearing a Bitmap Layer

Creating a Bitmap Layer from a Relief Layer

Adjusting the Layer Stacking Order

Creating a Relief Layer from a Bitmap Layer

Transferring Relief Layers Between Stacks

Pasting a Relief Area to a New Layer

Saving a Composite Relief


Snapping on a Vector Layer

Snapping allows you to align a vector on a selected vector layer with another vector on any other visible vector layer or a guideline. For further information on guidelines, see Using Guidelines.

  • The Snap To Objects option in the Bitmaps > Views menu must be selected to use the Toggle Snapping button [image] in the Vectors area of the Layers Manager. For details, see Snapping To Objects.

You can turn the snapping for a layer on and off.

  • Click on the Toggle Snapping button [image] to disable snapping on the vector layer.
  • Click on the Toggle Snapping button [image] to enable snapping on the vector layer.
  • To temporarily disable snapping, hold down the Shift key on your keyboard.

For details on how the mouse cursor changes when it snaps, see Snapping To Objects.

See Also

New Layers Manager

Naming a Layer

Creating a New Layer

Viewing a Layer

Selecting a Layer

Duplicating a Layer

Merging Layers

Loading a Layer

Assigning a Combine Mode to a Relief Layer

Saving a Layer

Deleting Layers

Locking a Vector Layer

Assigning a Colour to a Vector Layer

Transferring Vectors Between Layers

Clearing a Bitmap Layer

Creating a Bitmap Layer from a Relief Layer

Adjusting the Layer Stacking Order

Creating a Relief Layer from a Bitmap Layer

Transferring Relief Layers Between Stacks

Pasting a Relief Area to a New Layer

Saving a Composite Relief


Assigning a Colour to a Vector Layer

You can assign a colour to a vector layer. Once you have done so, all of the artwork drawn on that layer is shown in the selected colour. This allows you to recognize the vector layer to which the vector artwork shown in the 2D View window belongs.

  • Avoid using blue, magenta or red when assigning a colour to a vector layer. This is because these colours are used in ArtCAM Pro when you select vectors or view toolpath previews. For details, see Selecting Vectors and Selecting Toolpaths.
  1. Click on the Layers tab [image] to display the Layers Manager. The vector artwork drawn on a new vector layer is coloured black by default.
  2. Click on the [image] button for the layer whose colour you want to change. The Color dialog box is displayed:

  3. Select the colour that you want to use for the layer.

    To select a Basic colour:

    • Click on a colour in the Basic Colors palette.

      To select a Custom colour:

    • Click on an approximate colour in the Colour Matrix, then click and drag on the slider at the right of the dialog box to adjust the colour's attributes.
    • Type values in the Hue, Sat (Saturation) and Lum (Luminosity), or the Red, Green and Blue boxes to specify the colour.
    • Click on the Add To Custom Colors button to add the colour to the Custom Colors palette.
  4. Click on the OK button to close the Color dialog box and set the colour of the artwork drawn on the layer.

See Also

New Layers Manager

Naming a Layer

Creating a New Layer

Viewing a Layer

Selecting a Layer

Duplicating a Layer

Merging Layers

Loading a Layer

Assigning a Combine Mode to a Relief Layer

Saving a Layer

Deleting Layers

Locking a Vector Layer

Snapping on a Vector Layer

Transferring Vectors Between Layers

Clearing a Bitmap Layer

Creating a Bitmap Layer from a Relief Layer

Adjusting the Layer Stacking Order

Creating a Relief Layer from a Bitmap Layer

Transferring Relief Layers Between Stacks

Pasting a Relief Area to a New Layer

Saving a Composite Relief


Transferring Vectors Between Layers

You can transfer selected artwork from one vector layer to another, or to a completely new vector layer.

  1. Click on the Layers tab [image] to display the Layers Manager.
  2. Select the vectors in the 2D View window that you want to transfer to another vector layer.
    1. Make sure that the Select Vectors button in the Vector Tools area of the Assistant's Home page is selected [image] .
    2. Click on the vector that you want to select.
    3. If you want to select more than one vector, hold down the Shift key on your keyboard and continue to click on each vector in turn.

  3. Right-click the mouse on the selected vectors to display their context menu, and then click on the Move to Layer option to display a sub-menu listing up to 20 of the vector layers in the model:

    • If the Add In tab is currently shown, you can use the Move to Layer > Layer Manager... option on the context menu to display the Layers Manager.
  4. If you want to transfer the selected vectors to an existing layer:
    • Click on the name of the layer to which you want to transfer the selected vectors. The selected vectors are transferred to the layer and are shown in the colour assigned to the layer.
    • If you transfer the selected vectors to a layer that is hidden, the layer becomes visible [image].

      If you want to transfer the selected vectors to a new layer:

    • Click on the New Layer... option. A new vector layer is created at the top of the stack and the selected vectors are transferred to this layer. The new layer is selected by default.

See Also

New Layers Manager

Naming a Layer

Creating a New Layer

Viewing a Layer

Selecting a Layer

Duplicating a Layer

Merging Layers

Loading a Layer

Assigning a Combine Mode to a Relief Layer

Saving a Layer

Deleting Layers

Locking a Vector Layer

Snapping on a Vector Layer

Assigning a Colour to a Vector Layer

Clearing a Bitmap Layer

Creating a Bitmap Layer from a Relief Layer

Adjusting the Layer Stacking Order

Creating a Relief Layer from a Bitmap Layer

Transferring Relief Layers Between Stacks

Pasting a Relief Area to a New Layer

Saving a Composite Relief


Clearing a Bitmap Layer

You can delete the content on a selected bitmap layer and restore the background to white, or if white is not in the Colour Palette, the current Primary Colour.

To clear a selected bitmap layer:

  1. Make sure that the bitmap layer that you want to clear is selected. For details, Selecting a Layer.
  2. Make sure that the colour you want to use for the background of the model is selected as the Primary Colour. For details, see Selecting the Primary and Secondary Colours.
  3. Click on the Clear button [image] in the Bitmaps area of the Layers Manager to restore the background to either white or the current Primary Colour depending on which is available from your Colour Palette.

You can also clear a selected bitmap layer in the following way:

  1. From the Main menu bar, click on the Bitmaps > Clear menu option.

See Also

New Layers Manager

Naming a Layer

Creating a New Layer

Viewing a Layer

Selecting a Layer

Duplicating a Layer

Merging Layers

Loading a Layer

Assigning a Combine Mode to a Relief Layer

Saving a Layer

Deleting Layers

Locking a Vector Layer

Snapping on a Vector Layer

Assigning a Colour to a Vector Layer

Transferring Vectors Between Layers

Creating a Bitmap Layer from a Relief Layer

Adjusting the Layer Stacking Order

Creating a Relief Layer from a Bitmap Layer

Transferring Relief Layers Between Stacks

Pasting a Relief Area to a New Layer

Saving a Composite Relief


Creating a Bitmap Layer from a Relief Layer

You can create a new bitmap layer containing a greyscale image of the contents of a selected relief layer.

  1. Select the relief layer from which you want to create a greyscale image. Its name is emphasized in dark-grey. For details, see Selecting a Layer.
  2. Click on the Create Greyscale Bitmap button CreateGreyscaleBitmapButton in the Reliefs area of the Layers Manager to create a greyscale image of the selected relief layer. This is created on a new bitmap layer at the top of the stack shown in the Bitmaps area. The new bitmap layer assumes the name of the relief layer from which it was created and is selected by default.

See Also

New Layers Manager

Naming a Layer

Creating a New Layer

Viewing a Layer

Selecting a Layer

Duplicating a Layer

Merging Layers

Loading a Layer

Assigning a Combine Mode to a Relief Layer

Saving a Layer

Deleting Layers

Locking a Vector Layer

Snapping on a Vector Layer

Assigning a Colour to a Vector Layer

Transferring Vectors Between Layers

Clearing a Bitmap Layer

Adjusting the Layer Stacking Order

Creating a Relief Layer from a Bitmap Layer

Transferring Relief Layers Between Stacks

Pasting a Relief Area to a New Layer

Saving a Composite Relief


Adjusting the Layer Stacking Order

You can set the order in which either vector or relief layers are stacked. You cannot adjust the stacking order of bitmap layers. You can move a layer vertically up and down.

  • Adjusting the stacking order of relief layers can significantly affect the appearance of the composite relief shown in the 3D View window. You may need to adjust the combine mode associated with the remaining relief layers in the stack afterwards. For details, see Assigning a Combine Mode to a Relief Layer.

To promote a selected layer in the stack:

  1. Select the layer in the stack that you want to promote. For details, see Selecting a Layer.
  2. Click on the MoveLayerUpButton button to promote the selected layer directly above the next layer in the stack.

To demote a selected layer in the stack:

  1. Select the layer in the stack that you want to demote. For details, see Selecting a Layer.
  2. Click on the MoveLayerDownButton button to demote the selected layer directly below the next layer in the stack.

See Also

New Layers Manager

Naming a Layer

Creating a New Layer

Viewing a Layer

Selecting a Layer

Duplicating a Layer

Merging Layers

Loading a Layer

Assigning a Combine Mode to a Relief Layer

Saving a Layer

Deleting Layers

Locking a Vector Layer

Snapping on a Vector Layer

Assigning a Colour to a Vector Layer

Transferring Vectors Between Layers

Clearing a Bitmap Layer

Creating a Bitmap Layer from a Relief Layer

Creating a Relief Layer from a Bitmap Layer

Transferring Relief Layers Between Stacks

Pasting a Relief Area to a New Layer

Saving a Composite Relief


Creating a Relief Layer from a Bitmap Layer

You can create create a new relief layer from a selected bitmap layer.

  1. Select the bitmap layer from which you want to create a relief layer. Its name is emphasized in dark-grey. For details, see Selecting a Layer.
  2. Click on the Create Relief From Image button CreateReliefFromImageButton in the Bitmaps area of the Layers Manager to display the Scale Relief Height dialog box:

    • The value displayed in the Current Height box is not the actual Z height of the composite relief in your model. This is an arbitrary value calculated at 1/4 of either the model's height (Y) or width (X); whichever is the smallest at the time of creating the relief layer from the bitmap layer.
  3. Define the Z height of the relief layer you are creating from the selected bitmap layer in the New Height box.
  4. Click on the OK button to close the dialog box and create a new relief layer from the selected bitmap layer at the top of the stack shown in the Reliefs area. The relief layer assumes the name of the bitmap layer from which it was created and is selected by default.

See Also

New Layers Manager

Naming a Layer

Creating a New Layer

Viewing a Layer

Selecting a Layer

Duplicating a Layer

Merging Layers

Loading a Layer

Assigning a Combine Mode to a Relief Layer

Saving a Layer

Deleting Layers

Locking a Vector Layer

Snapping on a Vector Layer

Assigning a Colour to a Vector Layer

Transferring Vectors Between Layers

Clearing a Bitmap Layer

Creating a Bitmap Layer from a Relief Layer

Adjusting the Layer Stacking Order

Transferring Relief Layers Between Stacks

Pasting a Relief Area to a New Layer

Saving a Composite Relief


Transferring Relief Layers Between Stacks

The composite relief can be built from one of two layer stacks in the model; one representing the front surface of your design, the other representing the back. Although you can reassign a relief layer from one layer stack to the other at any time, you cannot view the composite relief resulting from both of these layer stacks concurrently.

When you transfer a relief layer from one stack to the other, the composite relief resulting from either of these layer stacks is affected. It is prudent to check the appearance of the composite relief each time that you transfer a relief layer from one layer stack to the other.

There is a single default relief layer associated with both of these layer stacks, although this layer is empty when a model is first created. When you transfer a relief layer from one stack to the other, the composite relief resulting from either of these layer stacks is affected. There must always be at least one relief layer associated with both of these layer stacks.

The most frequent use for transferring a relief layer between stacks is as follows:

  • First, merge the visible relief layers in the layer stack associated with the composite relief shown in the 3D View window. A new relief layer is created, and the content on this particular layer is identical to the composite relief. For details, see Merging Layers.
  • Next, transfer the merged relief layer to the opposite layer stack. The composite relief resulting from both layer stacks is now identical, although there are several more relief layers associated with one layer stack than the other.
  • Now select the opposite layer stack so that its resulting composite relief is displayed in the 3D View window.
  • Finally, invert the merged relief layer in the layer stack so that the composite relief displayed in the 3D View window now represents the back surface of your design. For details, see Inverting a Relief.

    The composite relief resulting from both layer stacks can now be used to create a triangle mesh of your complete design. For details, see Using a Composite Relief to Create a Closed Triangle Mesh.

To transfer a relief layer to the opposite layer stack:

  1. Click on the Layers tab [image] to display the Layers Manager.
  2. Click on the list box in the Reliefs area followed by the option for the layer stack from which you want to transfer a selected relief layer.
  3. Select the relief layer that you want to transfer to the opposite layer stack. Its name is emphasized in dark-grey. For details, see Selecting a Layer.
    • Rather than simply transferring a relief layer to the opposite layer stack, you may prefer to create a duplicate of the original relief layer and then transfer this to the opposite layer stack instead. In doing so, there is an identical relief layer in both of layer stacks. For further information, see Duplicating a Layer.
    • If there is only one relief layer in a layer stack, you cannot transfer this to the opposite stack. If you attempt to transfer the only relief layer in either layer stack to the other, the following message box appears:

      Click on the OK button to close the message box.

  4. Click on the Transfer Opposite Side button SwitchSidesButton to transfer the selected relief layer to the opposite layer stack. The relief layer is no longer listed in the layer stack shown on the page.
  5. To confirm that the relief layer has been transferred to the opposite layer stack, click on the list box in the Reliefs area followed by the option for the opposite layer stack.

    The opposite layer stack is shown on the Layers Manager, and you can see the relief layer that you have transferred. The composite relief resulting from this layer stack is displayed in the 3D View window.

See Also

New Layers Manager

Naming a Layer

Creating a New Layer

Viewing a Layer

Selecting a Layer

Duplicating a Layer

Merging Layers

Loading a Layer

Assigning a Combine Mode to a Relief Layer

Saving a Layer

Deleting Layers

Locking a Vector Layer

Snapping on a Vector Layer

Assigning a Colour to a Vector Layer

Transferring Vectors Between Layers

Clearing a Bitmap Layer

Creating a Bitmap Layer from a Relief Layer

Adjusting the Layer Stacking Order

Creating a Relief Layer from a Bitmap Layer

Pasting a Relief Area to a New Layer

Saving a Composite Relief


Pasting a Relief Area to a New Layer

You can copy a specific area of a selected relief layer and then paste it in somewhere on the same relief layer or another relief layer altogether

  1. Select the relief layer from which you want to copy a specific area. For details, see Selecting a Layer.
    • You can display a greyscale image of the selected relief layer in the 2D View window using the Preview Relief Layer button [image] on the 2D View toolbar. This allows you to easily identify the area of the selected relief layer that you want to duplicate.
  2. Draw a vector in the model area (the white area) of the 2D View window that comfortably surrounds the area of the selected relief layer that you want to duplicate. For details, see Drawing with Polylines and Creating Simple Shapes.
  3. Select the vector that identifies the area of the selected relief layer that you want to duplicate.
    1. Make sure that the Select Vectors button in the Vector Tools area of the Assistant's Home page is selected [image] .
    2. Click on the vector that you want to select.
    3. If you want to select more than one vector, hold down the Shift key on your keyboard and continue to click on each vector in turn.

  4. Press the Ctrl + Shift + C keys on your keyboard to copy the area of the selected relief layer within the boundary of the selected vector to the ArtCAM clipboard.
    • You can also copy the area of the selected relief layer from the Main menu bar. Click on the Edit > Copy Relief menu option.
  5. Make sure that the Layers Manager is visible by clicking on the Layers tab [image].
    • If you cannot see the Layers Manager, make sure that the Toggle Layers Manager button ToggleLayersPageButton-OFF is not deselected in the 2D View toolbar.
  6. Select the relief layer on which you want to paste the area of the relief layer already copied to the ArtCAM clipboard. For details, see Selecting a Layer.
    • You may wish to create a new relief layer altogether and then select this afterwards. For details, see Creating a New Layer.
    • Make sure that the selected relief layer is visible, otherwise you will not be able to view the area of the relief layer currently on the ArtCAM clipboard when it has been pasted. For details, see Viewing a Layer.
  7. Press the Ctrl + V keys on your keyboard to display the Relief Envelope Distortion page in the Assistant window.
  8. Make sure that the Keep original relief (Copy) option is selected by clicking on its radio button, otherwise the area of the relief layer on the ArtCAM clipboard is deleted from the original relief layer from which it was copied when pasted.
  9. If you want to distort the area of the relief layer on the ArtCAM clipboard before it is pasted, see Copying and Pasting a Relief.
  10. Make sure that the appropriate relief combine mode is selected in the Combine area of the page, particularly if there is already content on the layer to which you are pasting the relief area on the ArtCAM clipboard. For details, see Calculating a Relief.
  11. Click on the Paste button to paste the area of the relief from the clipboard onto the selected layer.
  12. Click on the Finish button to close the Relief Envelope Distortion page and return to the Assistant's Home page.

See Also

New Layers Manager

Naming a Layer

Creating a New Layer

Viewing a Layer

Selecting a Layer

Duplicating a Layer

Merging Layers

Loading a Layer

Assigning a Combine Mode to a Relief Layer

Saving a Layer

Deleting Layers

Locking a Vector Layer

Snapping on a Vector Layer

Assigning a Colour to a Vector Layer

Transferring Vectors Between Layers

Clearing a Bitmap Layer

Creating a Bitmap Layer from a Relief Layer

Adjusting the Layer Stacking Order

Creating a Relief Layer from a Bitmap Layer

Transferring Relief Layers Between Stacks

Saving a Composite Relief


Saving a Composite Relief

You can save the composite relief as an ArtCAM relief file (*.rlf), Windows Bitmap (*.bmp) or 16-Bit Greyscale TIFF Image (*.tif).

  • The composite relief is the sum of the visible relief layers in the model which can be seen in the 3D View window.

To save the composite relief:

  1. Click on the Save Composite Relief button [image] in the Relief Tools area of the Assistant's Home page to display the Save As dialog box:

    • You can also save the composite relief from the Main Menu bar by clicking on the Reliefs > Save Composite... menu option.
  2. Click on the Save in list box and select the directory where you want to save the composite relief.
  3. Type a name for the composite relief in the File name box.
  4. Click on the Save as type list box, followed by the format in which you want to save the composite relief:
    • ArtCAM Relief (*.rlf)
    • Windows Bitmap (*.bmp)
    • 16-Bit Greyscale TIFF Image (*.tif)
    • Saving the composite relief as a 16-Bit Greyscale TIFF Image file retains the full Z resolution of the model. This means that you can edit the height of the relief in graphics packages including Adobe Photoshop without any loss of resolution. Your edited 16-Bit Greyscale TIFF Image files can then be imported back into ArtCAM Pro. For details, see Opening an Existing Model and Loading a Layer.
  5. Click on the Save button to save the composite relief.

See Also

New Layers Manager

Naming a Layer

Creating a New Layer

Viewing a Layer

Selecting a Layer

Duplicating a Layer

Merging Layers

Loading a Layer

Assigning a Combine Mode to a Relief Layer

Saving a Layer

Deleting Layers

Locking a Vector Layer

Snapping on a Vector Layer

Assigning a Colour to a Vector Layer

Transferring Vectors Between Layers

Clearing a Bitmap Layer

Creating a Bitmap Layer from a Relief Layer

Adjusting the Layer Stacking Order

Creating a Relief Layer from a Bitmap Layer

Transferring Relief Layers Between Stacks

Pasting a Relief Area to a New Layer


Using a Composite Relief to Create a Closed Triangle Mesh

In previous versions of ArtCAM Pro, if you wanted to create a closed triangle mesh using a relief you would have to import a compatible file (*.rlf, *.art or *.pix) representing the back surface of the design. You no longer need to import a relief file to create a closed triangle mesh.

There are two layer stacks in an ArtCAM model; one associated with the front surface of your design, the other associated with the back. Although a composite relief is built from both of these stacks, you cannot view the composite relief resulting from both of these layer stacks concurrently. You can use the composite relief representing the back surface of your design to create a closed triangle mesh.

To create a closed triangle mesh using the composite relief associated with the back surface of your design:

  1. Click on the Create Triangle Mesh button [image] in the Relief Tools area of the Assistant's Home page to display the Mesh Creator page.
  2. In the Triangulation Parameters area, define the tolerance you want to use to control the number of triangles that are generated in the Tolerance box.
  3. Make sure that the Use Back Relief option is selected.

    For example, the composite relief associated with each of the layer stacks in an ArtCAM model might appear as shown below:

    Composite Relief (Front Relief)...

    Composite Relief (Back Relief)...

    Example-FrontRelief

    Example-BackRelief

    We can see that the composite relief representing the front surface of the design has been inverted to create the composite relief representing the back surface of the design.

    • Make sure that the composite relief resulting from the Back Relief layer stack is exactly as you want the back surface of your triangle mesh to appear before creating your triangle mesh. For details, see Transferring Relief Layers Between Stacks.
  4. If you want to retain a smooth curvature when wrapping the triangle mesh onto a curved surface model, you can restrict the size of the triangles that make up the mesh:
    • First, click to select the Limit Triangle Size option to display its settings on the page.
    • Next, click on the Triangle Length list box, followed by the option for the length of the triangles that you want to use:

      If the surface onto which you are wrapping the triangle mesh is curved in both the horizontal and vertical axes, click to select the Max Length option. This option is selected by default.

      If the surface onto which you are wrapping the triangle mesh is curved in the horizontal axis only, click to select the Max X Length option.

      If the surface onto which you are wrapping the triangle mesh is curved in the vertical axis only, click to select the Max Y Length option.

    • Finally, define the length of the triangle side in the Tri Side Length box.
  5. Click on the Create Triangles button to create the triangle mesh. The volume of the triangle mesh and the total number of triangles created are shown in the Result area. You can see the triangle mesh created using the composite relief built from both layer stacks in the model in the 3D View window.

    In our example, the triangle mesh is shown as follows:

  6. If you want to calculate the approximate weight of the piece after the manufacturing process, define a percentage in the Shrinkage box and then click on the Update button.
  7. Click on the Weight list box followed by the option for the material that you want to use when manufacturing the piece.
  8. In the Triangle Drawing area, select how you want to view the triangle mesh in the 3D View window: Shaded or Wireframe.
  9. Click on the Save Triangles button to display the Save Triangle Mesh dialog box:

    • First, click on the Save In list box and select the directory in which you want to save the triangle mesh.
    • Next, click on the Save as type list box followed by the option for the format in which you want to save the triangle mesh (*.stl, *.dmt or*.3da).
    • Finally, type the file name that you want to give to the triangle mesh in the File name box and then click on the Save button.
  10. If you want to use the triangle mesh in an alternative Delcam Power Solution product, click on the Copy to Clipboard button. For example, you can copy the triangle mesh and paste it into your current PowerSHAPE session.
  11. Click on the Close button to return to the Assistant's Home page.

See Also

New Layers Manager

Naming a Layer

Creating a New Layer

Viewing a Layer

Selecting a Layer

Duplicating a Layer

Merging Layers

Loading a Layer

Assigning a Combine Mode to a Relief Layer

Saving a Layer

Deleting Layers

Locking a Vector Layer

Snapping on a Vector Layer

Assigning a Colour to a Vector Layer

Transferring Vectors Between Layers

Clearing a Bitmap Layer

Creating a Bitmap Layer from a Relief Layer

Adjusting the Layer Stacking Order

Creating a Relief Layer from a Bitmap Layer

Transferring Relief Layers Between Stacks

Pasting a Relief Area to a New Layer

Saving a Composite Relief


New Relief Clipart Library

ArtCAM Pro 9.0 includes a comprehensive library of royalty-free relief clipart for use in your designs.

The default Relief Clipart Library is divided into thirteen sections and there are more than 800 pieces of relief clipart associated with the library. There is a thumbnail image for every one of the relief clipart files within the library, making it easy to identify their suitability.

  • You must select the option to include the Relief Clipart Library when installing ArtCAM Pro on your computer. The relief clipart files are stored in the C:\Documents and Settings\All Users\Documents\ArtCAM Files\Reliefs\3dClipArt directory on your computer.

To paste a piece of relief clipart from the library onto a selected relief layer:

  1. Click on the Relief Clipart Library button ReliefClipartLibraryButton in the Relief Tools area of the Assistant's Home page to display the Relief Clipart Library page.
    • You can also display the Relief Clipart Library page by clicking on the Reliefs > Relief Clipart Library... menu option from the Main Menu bar.
  2. Make sure that the relief layer on which you want to paste the relief clipart is selected. For details, see Selecting a Layer.
  3. Click on the thumbnail image representing the piece of relief clipart that you want to paste onto the selected relief layer.
    • You can control which of the thirteen areas of the default Relief Clipart Library are displayed at any given time.

      Click on the [image] icon on the area control bar to hide its set of thumbnails currently shown below:

      Click on the [image] icon on the area control bar to display its set of thumbnails directly below:

      For example, the VectorArt3D area of the Relief Clipart Library is displayed as follows:

      Before...

      After...

      ReliefClipartLibrary-Select

      ReliefClipartLibrary-Selected

      The 3D Clipart dialog box is displayed:

      There are eight tabs in the 3D Clipart dialog box. Each of these tabs contains a page of settings that allow you to edit the clipart relief and control how it is combined with the selected relief layer. For further information, see Using 3D Clipart.

      A red vector outline representing the size and shape of the clipart relief is shown in the 2D View window.

    • If you want to paste a copy of the vector outline on a selected vector layer at the same time as the clipart relief is pasted onto the selected relief layer, make sure that the Copy outline option is selected on the Mode tab.
  4. Click on the Paste button to paste the relief clipart onto the selected relief layer.
  5. Click on the Close button to close the 3D Clipart dialog box.
  6. Click on the Back icon BackIcon to return to the Assistant's Home page.


Managing the Relief Clipart Library

You can use the Relief Clipart Library to manage your reliefs saved as an ArtCAM Relief file (*.rlf) or as part of an ArtCAM Model file (*.art). A Relief Clipart Library is made up of at least one folder that contains one or more *.rlf or *.art files.

ArtCAM Pro creates an area on the Relief Clipart Library page for each of the folders within a library that contain *.rlf or *.art files. If a *.rlf or *.art file within a library shares the same name as a *.jpg or *.gif file also within the same library, ArtCAM Pro displays a thumbnail image next to its filename. If there are no *.rlf or *.art files in a selected directory, a message is displayed on the page indicating that no library has been found.

To select a folder as a relief clipart library:

  1. Click on the Relief Clipart Library button ReliefClipartLibraryButton in the Relief Tools area of the Assistant's Home page.
    • You can also display the Relief Clipart Library page by clicking on the Reliefs > Relief Clipart Library... menu option from the Main Menu bar.
    • If you cannot see the relief clipart library settings, click on the [image] arrow in the Choose Library... area of the page to display them. All existing relief clipart libraries are listed in the Libraries list box.
  2. Click on the New... button to display the Browse For Folder dialog box:

  3. Click to select the folder in which you want to store your relief files, or in which they are already kept.
    • If you want to create a new folder for your relief files, click on the Make New Folder button and give the folder an appropriate name.
  4. Click on the OK button to select the folder and close the Browse For Folder dialog box. The chosen folder is now defined as an ArtCAM relief clipart library. The name of the selected folder is displayed in the Libraries list box and its contents are listed on the Relief Clipart Library page.
  5. Click on the BackIcon icon to return to the Assistant's Home page.
    • You can also press the Esc key on your keyboard or the [image] icon at the top of the page to return to the Assistant's Home page.

To refresh the list of files identified within a relief clipart library:

  1. Click on the Relief Clipart Library button ReliefClipartLibraryButton in the Relief Tools area of the Assistant's Home page.
    • You can also display the Relief Clipart Library page by clicking on the Reliefs > Relief Clipart Library... menu option from the Main Menu bar.
    • If you cannot see the relief clipart library settings, click on the [image] arrow in the Choose Library... area of the page to display them. All existing relief clipart libraries are listed in the Libraries list box.
  2. Click on the Libraries list box followed by the library for which you want to update the file listing.
  3. Click on the Rescan button in the Options area to refresh the list of directories and files within the selected library. Any new *.rlf, *.art, *.jpg and/or *.gif files are recognized.
  4. Click on the BackIcon icon to return to the Assistant's Home page.
    • You can also press the Esc key on your keyboard or the [image] icon at the top of the page to return to the Assistant's Home page.

To remove a library:

  1. Click on the Relief Clipart Library button ReliefClipartLibraryButton in the Relief Tools area of the Assistant's Home page.
    • You can also display the Relief Clipart Library page by clicking on the Reliefs > Relief Clipart Library... menu option from the Main Menu bar.
    • If you cannot see the relief clipart library settings, click on the [image] arrow in the Choose Library... area of the page to display them. All existing relief clipart libraries are listed in the Libraries list box.
  2. Click on the Libraries list box followed by the library that you want to remove.
  3. Click on the Remove button in the Options area to remove the selected library.
    • ArtCAM Pro does not delete the folder defined as a relief clipart library or its contents. Removing the folder simply means that it is no longer associated with ArtCAM Pro.
  4. Click on the BackIcon icon to return to the Assistant's Home page.
    • You can also press the Esc key on your keyboard or the [image] icon at the top of the page to return to the Assistant's Home page.

See Also

New Relief Clipart Library


Editing the Resolution of a Model

You can now adjust the resolution of a model. This allows you to disassociate the bitmap resolution from the model resolution.

In pictures, the size of the pixels determines the resolution of the picture. Resolution is the number of pixels per inch (ppi) or centimetre. A picture is created at a specific resolution. You select the resolution based on how you will use the picture in your model. Consider that too low a resolution will cause pixilation, or large pixels that cause coarse relief, while too high a resolution add to picture's memory requirements without producing a significant increase in its overall finish.

To adjust the resolution of the ArtCAM model:

  1. Click on the Adjust Model Resolution button AdjustModelResolutionButton in the Models area of the Assistant's Home page to display the Adjust Model Resolution page in the Assistant window. The existing resolution of the model is displayed in the Current Resolution area.
    • You can also display the Adjust Model Resolution page from the Main menu bar by clicking on the Model > Adjust Resolution... option.

  2. Click and drag on the slider to set the resolution of the model according to the requirements of your job.

    Drag the slider to the right to increase the resolution of the model. Drag the slider to the left to decrease the resolution. The new resolution of the model is displayed in the New Resolution area of the page.

  3. Click on the Apply button to set the resolution of the model.
    • You cannot use the Undo button [image] in the File area of the Assistant's Home page to restore the previous resolution of the model. You must be certain that you want to adjust the resolution to that shown in the New Resolution area of the page before clicking on the Apply button.

      Click on the Cancel button to return to the Assistant's Home page and keep the existing model resolution.


New PDF Import

You can now create an ArtCAM model using a PDF file. ArtCAM Pro creates new vector and bitmap layers based on the artwork found on each of the pages within the PDF file.

  • ArtCAM Pro does not generate any relief layers from the artwork within a Portable Document Format file (*.pdf).
  • ArtCAM Pro does not currently support layers (or 'Optional Content Groups') within Portable Document Format files (*.pdf). ArtCAM Pro creates a separate vector and bitmap layer for each of the pages within an original PDF document and names each of the layers using the filename_page number convention. For example, the layer relating to the first page of the document might be labelled Brochure_(1).

To create a model from a PDF file:

  1. Click on the Open Existing Model icon [image] on the Assistant's Getting Started page to display the Open dialog box.

  2. Use either of the following methods to find the PDF file from which you want to create an ArtCAM model:
    • By default, ArtCAM Pro lists files in the ArtCAM model format (*.art) only. You can limit the files to PDF format only by clicking on the Files of Type list box followed by the Portable Document Format (*.pdf) option, or all compatible files by clicking on the Files of Type list box followed by the All Files (*.*) option.
    • You can use Look in list box and the Up One Level button UpOneLevelButton to navigate to the directory or folder containing the file from which you want to create an ArtCAM model.
  3. Once you have found the PDF file, click to select the file listed in the main window of the Open dialog box. Its name appears in the File name box.
  4. Click on the Open button to display the Size For New Model dialog box.

    The dimensions of the PDF file are shown in the Height (Y) and Width (X) boxes.

    • The dimensions are calculated using the crop box found on each of the pages in the original PDF file. The crop box defines the region to which the contents of the page are to be clipped (cropped) when displayed or printed.
  5. Define the Height (Y) and Width (X) according to the physical size of the model you want to create.
    • If you reduce the size of the model area, any artwork within the original PDF file outside of the new model area will not be imported into ArtCAM Pro. The PDF file is not scaled to fit inside of the new model area.
  6. Click on the centre of any of the four corners of the box diagram to define the X-axis zero and Y-axis zero origin, as shown below:

  7. Click and drag on the slider to set the resolution of the model, as shown below:

    Click and drag the slider to the right to increase the resolution of the model. Click and drag the slider to the left to decrease the resolution.

    • Generally, approximately 1,000,000 points is a reasonable resolution at which to work.
    • You can use the Adjust Model Resolution button AdjustModelResolutionButton in the Model area of the Assistant's Home page to set the resolution after the model has been created. For details, see New Model Resolution Tool.
  8. Make sure that the Units option is set according to those in which you are working, either metric or imperial.
  9. Click on the OK button to create the model from the PDF file.

    A 2D View and a 3D View window are created in the workspace area. You can see both the vector and bitmap artwork on each of the pages within the original PDF file in the 2D View window. This vector and bitmap artwork is divided onto separate layers which are listed in the Vectors and Bitmaps areas of the Layers Manager. Each of these layers are named using the filename_page number convention. For example, the vector and bitmap layers relating to the first page of the PDF file might be named Brochure_(1).


New Reference Help System

ArtCAM Pro 9.0 includes a new Reference Help system which most of the information that you will need to successfully work with ArtCAM Pro.

To use the ArtCAM Pro Reference Help:

  1. From the Main Menu bar, click on the Help > Index menu option.

    The Reference Help file opens. The Navigation Window is displayed on the left by default, with the Contents tab selected.

    • You can click on the Hide/Show button HideHTMLHelpButton ShowHTMLHelpButton to toggle the Navigation Window and its associated tabs.
  2. Find the information that you require by:
    • Using the Contents tab. Read about finding the information that you need in the Reference Help.
    • Using the Index tab to find topics containing those terms that have been indexed.
    • Using the Search tab to find all instances of a particular word in the Reference Help.


New ArtCAM Advantage Website

The new ArtCAM Advantage website provides exclusive access to the following downloads:

  • Tutorials and Training Materials (basic and advanced).
  • Relief Clipart Files (updated on a monthly basis).
  • Tips and Tricks.
  • User Group Tutorials and Documentation (video and written).
  • Plug-ins for use in conjunction with the ArtCAM Pro Add In tab.
  • ArtCAM Pro Updates and Patches.

To access the new ArtCAM Advantage website:

  1. Make sure that you are connected to the internet.
  2. Click on the Help > ArtCAM Advantage menu option from the Main Menu bar.

    If you have purchased the ArtCAM Advantage package, the following page is displayed in a new browser window:

    • Customers who already own a maintenance contract are entitled to the ArtCAM Advantage package until the expiry date of their original contract. If you do not own a maintenance contract and have not yet purchased the ArtCAM Advantage package, further details can be found on the default page that is displayed in your browser window. For additional information, please contact your reseller.

      If you have not yet purchased the ArtCAM Advantage package, details can be found on the default information page that is displayed in your browser window.


New ArtCAM Files Folder

You can now find files associated with the installation of ArtCAM Pro in a new central location on your computer. This is named the ArtCAM Files folder. This folder contains the New Relief Clipart Libary.

  • It is recommended that you transfer any ArtCAM legacy files that you have to the appropriate directories in the new ArtCAM Files folder. Relief files (*.rlf) should be moved to the Reliefs directory, Model files (*.art) to the Models directory and so on. All subsequent releases of ArtCAM Pro will make use of this central location.

You can use either of the following methods to view the contents of the ArtCAM Files folder:

  • Click on the ArtCAM Files shortcut ArtCAMFilesShortcut on your desktop.
  • Click on the Start > All Programs > Accessories > Windows Explorer window and navigate to C:\Documents and Settings\All Users\Documents\ArtCAM Files\ on your computer.


Enhanced Relief Export

In previous versions of ArtCAM Pro, you could save a relief as an ArtCAM Relief (*.rlf) or Windows Bitmap (*.bmp) file only. In ArtCAM Pro 9.0 you can save either a relief layer or the composite relief as a 16-Bit Greyscale TIFF Image (*.tif).

A 16-Bit Greyscale TIFF Image file retains the full Z resolution of the model. This means that you can edit the height of the saved relief layer or composite relief in graphics packages including Adobe Photoshop without any loss of resolution. Your edited 16-Bit Greyscale TIFF Image files can then be imported back into ArtCAM Pro as a relief layer or piece of relief clipart.


Enhanced Tool Database

Several new tools have been added to the Tools Database. These tools are variations of Ogee, Roundover and Raised Panel bits; the most frequently used routing tool shapes in 2.5D machining. You can now also import or export a custom Tool Database.

There are three tools in the new Wood or Plastic > Ogee and Roundover tool group and another three in the new Wood or Plastic > Raised Panel tool group within the default Tool Database. All six of these tools are available in both metric and imperial units. The tools are samples only and can be duplicated and then customized according to your own machining requirements.

If you want to import a custom Tool Database:

  1. Click on the Tool Database button [image] in the Toolpath Operations area of the Toolpaths page to display the Tool Database:

  2. Click on the Import... button to display the Import Tool Database dialog box:

  3. Use the Look in list box and the Up One Level button UpOneLevelButton to navigate to the directory or folder containing the Tool Database file (*.tdb) that you want to import.
  4. Once you have found the tool database file, click to select the file listed in the main window of the Import Tool Database dialog box. Its name appears in the File name box.
  5. Click on the Open button to add the contents of the selected tool database file to the existing Tool Database.
    • ArtCAM Pro does not merge the contents of the imported Tool Database file (*.tdb) with the existing Tool Database. It is prudent to check the contents of the Tool Database for duplicate tools after you have imported a Tool Database file (*.tdb).

To browse for a specific Tool Database:

  1. Click on the Tool Database button [image] in the Toolpath Operations area of the Toolpaths page to display the Tool Database.
  2. Click on the Browse... button to display the Browse for Tool Database dialog box:

  3. Use the Look in list box and the Up One Level button UpOneLevelButton to navigate to the directory or folder containing the tool database file (*.tdb) that you want to use.
  4. Once you have found the Tool Database file (*.tdb) that you want to use, click to select the file listed in the main window of the Browse for Tool Database dialog box. Its name appears in the File name box.
  5. Click on the Open button to replace the existing Tool Database with the selected tool database file.

If you want to export a custom Tool Database:

  1. Click on the Tool Database button [image] in the Toolpath Operations area of the Toolpaths page to display the Tool Database.
  2. Click on the Save Copy... button to display the Save Copy of Tool Database dialog box:

  3. Use the Save in list box and the Up One Level button UpOneLevelButton to navigate to the directory or folder in which you want to save the Tool Database.
    • It is recommended that you save your toolpath database files in the C:\Documents and Settings\All Users\Documents\ArtCAM Files\Tool Database directory on your computer.
  4. Type the name you want to give to the Toolpath Database in the File name box.
    • The default Tool Database file is named tool_database.tdb. It is not recommended that you replace this file.
  5. Click on the Save button to close the dialog box and save the tool database file.


Enhanced Vector Sheets

In previous versions of ArtCAM Pro, vector sheets were created only when using the Nesting or Multiplate tools. The number of vector sheets in a model was also determined by ArtCAM Pro. You can now create vector sheets as part of an ArtCAM model and limit the number of vector sheets produced when using the Nesting tool.

To create a vector sheet:

  1. Click on the Vectors > Sheets > Create Sheet menu option from the Main menu bar:

    Each new vector sheet that you create is named Sheet and numbered sequentially. The new vector sheet is shown in the 2D View window and selected in the list box shown in the Vectors area of the Layers Manager.

    • You cannot rename a vector sheet.

To limit the number of vector sheets created during the nesting process:

  1. Define the number of sheets in the Maximum No. of Sheets box. The default limit is 999 sheets. For further details, see Nesting Vectors.

In previous versions of ArtCAM Pro you would select a vector sheet using the Active Sheet list box at the bottom of the page associated with the Layers tab. You must now select a vector sheet using the list box in the Vectors area of the Layers Manager:

ArtCAM Pro 8.1 | ArtCAM Pro 9.0
ActiveSheetListBox-Old | ActiveSheetListBox-New

To select a vector sheet:

  1. Click on the list box shown in the Vectors area of the Layers Manager to display a list of all the vector sheets in the ArtCAM model. The name of the active vector sheet is emphasized in blue:

  2. Click on the name of the vector sheet on which you want to work. The list of all available vector sheets is hidden and only the name of the selected vector sheet can be seen in the list box.


Enhanced Use of Selected Vector Artwork

In previous versions of ArtCAM Pro, you could use the Selection Rectangle tool SelectionRectangle-Old on the File tab of the Top Toolbar to edit a model, bitmap artwork or create a dome shape. The Selection Rectangle tool has now been removed along with all of the tabs associated with the Top Toolbar. For details, see Modified Top Toolbar.

You can now use vector artwork to define a specific area within the existing model which can then be used to edit your model dimensions, manipulate images on bitmap layers and create dome shapes on relief layers.

To use a vector to edit the model or its content:

  1. Select the vector(s) that represent the area of the model that you want to use.
    1. Make sure that the Select Vectors button in the Vector Editing area is selected [image] .
    2. Click on the vector that you want to select.
    3. If you want to select more than one vector, hold down the Shift key on your keyboard and continue to click on each vector in turn.

    • You can use any shape or number of vectors, since it is the bounding box that surrounds the selected vector(s) which defines the area.
  2. You can now use the selected vector(s) in any of the following ways:
    • Set the dimensions of the model. For details, see Editing the Model Dimensions.
    • Set the asymmetrical dimensions of the model. For details, see Editing Asymmetrical Dimensions in a Model.
    • Crop the model. For details, see Cropping a Model.
    • Copy and paste an area of a bitmap image. For details, see Copying and Pasting Bitmap Areas.
    • Create a dome shape. For details, see Creating a Dome.


Modified Relief Loading

In previous versions of ArtCAM Pro, you could replace the existing relief with an imported relief file. The introduction of relief layers means that it is no longer necessary to replace a relief. Rather than replacing a relief, you simply need to create a new relief layer, select it and paste the relief file onto this layer. For further information, see Creating a New Layer and Pasting a Relief from a File.

As a result of these changes, the Load Relief button [image] previously found in the Relief Operations area of the Assistant's Home page has now been renamed as the Paste Relief From A File button located in the Relief Tools area of the Assistant's Home page. The Load Relief dialog box associated with this button has been completely removed:

The 3D Clipart dialog box associated with the Pasting option in the Load Relief dialog box is also associated with the new the Paste Relief From A File button. For details, see Using 3D Clipart.

In making these changes, the Relief > Load menu option previously found on the Main Menu bar has also been removed:

ArtCAM Pro 8.1 | ArtCAM Pro 9.0
Relief-LoadMenu | Reliefs-PasteFromFileMenu

You can use the settings on the Mode tab of the 3D Clipart dialog box instead to control the way in which the relief file is combined with a selected relief layer: Add, Subtract, Merge Highest and Merge Lowest. For details, see Using 3D Clipart. You can also control the way in which the selected relief layer interacts with other relief layers to form the composite relief: Add, Subtract, Merge High, Merge Low and Multiply. For details, see Assigning a Combine Mode to a Relief Layer. Following the introduction of relief layers, you can now also import a relief file as a relief layer. For details, see Loading a Layer.


Enhanced Assistant

The way in which buttons are arranged across the different areas of the Assistant's Home page has been changed. Several of the buttons are now grouped together in 'toolsets'. Each of these toolsets are commonly referred to as a 'fly-out'. A fly-out is identified by the appearance of a DisplayToolsetIcon-New icon beside a button. If you click on the DisplayToolsetIcon-New icon, the toolset expands and you can see all of its associated buttons. For example, let us consider the Vector Creation toolset in the Vector Tools area:

Before... | After...
Example-VectorToolsFlyoutSelect | Example-VectorToolsFlyoutSelected

When a toolset is expanded, you can click on any of its associated buttons to select the tool that you want to use. The page or dialog box associated with the button is then displayed. When this is closed, you can see that the toolset has collapsed and the selected button is shown on the Assistant's Home page. In our example, we will select the Create Polyline tool:

Before... | After...
Example-VectorToolsFlyoutButton | Example-VectorToolsFlyoutButtonSelected

When a toolset is expanded you also have the option to display its associated buttons at all times by clicking on the PinToolsetIcon-New icon beside the last button in the toolset. When pinned, all of the buttons associated with the toolset are emphasized in grey and the DisplayToolsetIcon-New icon is no longer shown:

Before... | After...
Example-VectorToolsFlyoutPin | Example-VectorToolsFlyoutPinned

You can collapse the toolset by clicking on the PinToolsetIcon-New icon beside the last button associated with the toolset again:

Before... | After...
Example-VectorToolsFlyoutCollapse | Example-VectorToolsFlyoutCollapsed

ArtCAM Pro remembers which toolsets are pinned and collapsed between ArtCAM sessions, meaning that you can customize the appearance of the Assistant's Home page so that your most frequently used tools are displayed and those that you rarely use are hidden.

There are now seven, rather than eleven, areas comprising the Assistant's Home page.

  • The Vector Editing area has been renamed the Vector Tools area.
  • The Vector - Bitmap and Bitmap Editing areas have been consolidated in the new Bitmap Tools area.
  • The Position Size Align Vectors and Group Merge Join Trim Vectors areas have been consolidated in the new Position, Combine, Trim Vectors area.
  • The Relief Editing, Vector Based Relief Creation and Relief Editing areas have been consolidated in the new Relief Tools area.

The following changes have been made to the buttons that comprise the Assistant's Home page:

  • The Greyscale From Relief button GrayscaleFromReliefButton-Old in the Model area has been renamed as the Greyscale From Composite Relief button. Using this button creates a new bitmap layer, on which is a greyscale image of the composite relief.
  • The Reduce Colours button ReduceColoursButton-Old has changed to ReduceColoursButton-New and has also been moved from the Model area to the new Bitmap Tools area.
  • The Create Multiplate button MultiplateToolButton-Old. has been relocated from the File area to the new Vector Tools area.
  • The ArtRead button ArtReadButton-Old. has been relocated from the File area to the Model area, and its icon has been upated to ArtReadButton-New.

The following buttons no longer appear on the Assistant's Home page:

  • The Import Vector Data button ImportVectorDataButton-Old.
    • You can still import vector data using the File > Import... > Vector Data... option from the Main menu bar.
  • The Clear button ClearButton-Old.
    • You can now use the Clear button ClearButton-New in the Bitmaps area of the Layers Manager to clear the content of a selected bitmap layer and restore its background to white, or the current Primary Colour if this is not available. You cannot clear the content on all bitmap layers simultaneously. For details, see Clearing a Bitmap Layer.
Summary

The table below contains a summary of the changes associated with the Assistant's Home page:

ArtCAM Pro 8.1 | ArtCAM Pro 9.0
Bitmap Editing area of Assistant's Home page. | Bitmap Tools area of Assistant's Home page.
Vector Editing and Vector - Bitmap areas of Assistant's Home page. | Vector Tools area of Assistant's Home page.
Position Size Align Vectors and Group Merge Join Trim Vectors areas of Assistant's Home page. | Position, Combine, Trim Vectors area of Assistant's Home page.
Relief Operations, Vector Based Relief Creation and Relief Editing areas of Assistant's Home page. | Relief Tools area of Assistant's Home page.
ArtRead button ArtReadButton-Old in File area of Assistant's Home page. | ArtRead button ArtReadButton-New in Model area of Assistant's Home page.
Create Multiplate button MultiplateToolButton-Old in File area of Assistant's Home page. | Create Multiplate button MultiplateToolButton-Old in Vector Tools area of Assistant's Home page.
Greyscale From Relief button GrayscaleFromReliefButton-Old in Model area of Assistant's Home page. | Greyscale From Composite Relief button GrayscaleFromReliefButton-Old in Model area of Assistant's Home page.
Reduce Colours button ReduceColoursButton-Old in Model area of Assistant's Home page. | Reduce Colours button ReduceColoursButton-New in Bitmap Tools area of Assistant's Home page.
Clear button ClearButton-Old in Bitmap Editing area of Assistant's Home page. | Clear button ClearButton-New in Bitmaps area of Layers Manager.
Bitmap To Vector button BitmapToVectorButton-Old in Vector - Bitmap area of Assistant's Home page. | Bitmap To Vector button BitmapToVectorButton-Old Bitmap Tools area of Assistant's Home page.
Vector To Bitmap button VectorToBitmapButton-Old in Vector - Bitmap area of Assistant's Home page. | Vector To Bitmap button VectorToBitmapButton-Old in Vector Tools area of Assistant's Home page.
Flood Fill Vectors button FloodFillVectorsButton-Old in Vector - Bitmap area of Assistant's Home page. | Flood Fill Vectors button FloodFillVectorsButton-Old in Vector Tools area of Assistant's Home page.
Load Relief button LoadReliefButton-Old in Relief Operations area of Assistant's Home page. | Paste Relief From A File button LoadReliefButton-Old in Relief Tools area of Assistant's Home page.
Save Relief button LoadReliefButton-Old in Relief Operations area of Assistant's Home page. | Save Composite Relief button LoadReliefButton-Old in Relief Tools area of Assistant's Home page.


Improved 2D View Toolbar

Some of the buttons on the 2D View toolbar seen in previous versions of ArtCAM Pro have now been removed, although you are still able to conduct the actions associated with these buttons. The icons for all of the remaining buttons have been updated and some new buttons have also been introduced that provide further control over the design windows that occupy the workspace area in ArtCAM Pro.

There are now ten buttons on the 2D View toolbar in ArtCAM Pro 9.0, alongside the 2D Bitmap Contrast slider. There were sixteen buttons on the 2D View toolbar in ArtCAM Pro 8.1, alongside the 2D Bitmap Contrast slider:

ArtCAM Pro 8.1

ArtCAM Pro 9.0

3D View Zoom In Tool Zoom Out Tool Zoom Previous Zoom 1:1 Window Fit Zoom Object(s) Toggle Assistant Toggle Layers Manager Greyscale View 2D Bitmap Contrast

The following new buttons have been introduced on the 2D View toolbar:

  • The Preview Relief Layer button PreviewReliefLayerButton-New. This replaces the Greyscale View button GrayscaleViewButton-Old and allows you to display a greyscale image of a selected relief layer in the 2D View window.
    • You can also press the Alt + G keys on your keyboard to display a greyscale image of a selected relief layer in the 2D View window.
    • If you click on the Preview Relief Layer button PreviewReliefLayerButton-New when the content of a selected bitmap layer is shown in the 2D View window, the visibility for all bitmap layers is toggled off ToggleAllVisibilityButtonOFF-New and the bitmap artwork is hidden. The Colour Palette beneath the 2D View window is also hidden.

      You cannot view a selected bitmap layer and a greyscale preview of the selected relief layer concurrently.

  • The Toggle Left Panel button ToggleAssistantButton-New. This allows you to toggle the display of the panel that hosts the Project, Assistant and Toolpaths tabs.
    • You can also press the F6 key on your keyboard to toggle the display of the panel that hosts the Project, Assistant and Toolpaths tabs.
    • When the Left Panel is hidden, the size of the workspace area increases. When the Left Panel is shown, the size of the workspace area is reduced.
  • The Toggle Right Panel ToggleLayersManagerButton-New button. This allows you to toggle the display of the panel that hosts the Layers Manager and Add In tabs.
    • You can also press the F7 key on your keyboard to toggle the display of the panel that hosts the Layers Manager and Add In tabs.
    • When the Right Panel is hidden, the size of the workspace area increases. When the Right Panel is shown, the size of the workspace area is reduced.

The following buttons have been removed from the 2D View toolbar, although the actions associated with the buttons can still be conducted as directed:

  • The Vectors On/Off button VectorsOnOffButton-Old.
    • You can use the Toggle All Visibility button ToggleAllVisibilityButtonON-New in the Vectors area of the Layers Manager to hide all vector artwork shown in the 2D View window.
  • The Bitmap On/Off button BitmapOnOffButton-Old.
    • You can use the Toggle All Visibility button ToggleAllVisibilityButtonON-New in the Bitmaps area of the Layers Manager to hide all bitmap artwork shown in the 2D View window.
  • The Undo button UndoButton-Old.
    • You can undo an action using the Undo button [image] in the File area of the Assistant's Home page, the Edit > Undo option from the Main menu bar or by pressing the Ctrl + Z keys on your keyboard.
  • The Redo button RedoButton-Old.
    • You can redo an action using the Redo button RedoButtonMain-New in the File area of the Assistant's Home page, the Edit > Redo option from the Main menu bar or by pressing the Ctrl + Y keys on your keyboard.
  • The Link All Colours button LinkAllColoursButton-Old.
    • You can link all colours in the Colour Palette, other than the Secondary Colour, to the Primary Colour using the Bitmaps > Colour > Link All Colours option from the Main menu bar or by pressing the Ctrl + K keys on your keyboard.
  • The Unlink All Colours button UnlinkAllColoursButton-Old.
    • You can unlink all colours currently linked in the Colour Palette using the Bitmaps > Colour > Reset All Links option from the Main menu bar or by pressing the Ctrl + R keys on your keyboard.
  • The Link/Unlink Colours button LinkUnlinkColoursButton-Old.
    • You can link or unlink individual colours in the Colour Palette using the Bitmaps > Colour > Link/Unlink option from the Main menu bar or by pressing the Ctrl + L keys on your keyboard.
  • The Merge Colours button MergeColoursButton-Old.
    • You can merge pixels in the Secondary Colour with the current Primary Colour in the Colour Palette, and therefore remove the Secondary Colour, using the Bitmaps > Colour > Merge option from the Main menu bar.
Summary

The table below contains a summary of the button changes on the 2D View toolbar:

ArtCAM Pro 8.1 | ArtCAM Pro 9.0
3D View button 3DViewButton-Old . | 3D View button 3DViewButton-New .
Zoom In Tool button ZoomInToolButton-Old . | Zoom In Tool button ZoomInToolButton-New .
Zoom Out Tool button ZoomOutToolButton-Old . | Zoom Out Tool button ZoomOutToolButton-New .
Zoom Previous button ZoomPreviousButton-Old . | Zoom Previous button ZoomPreviousButton-New .
Zoom 1:1 button Zoom11Button-Old . | Zoom 1:1 button Zoom11Button-New .
Window Fit button WindowFitButton-Old . | Window Fit button WindowFitButton-New .
Zoom Object(s) button ZoomObjectsButton-Old . | Zoom Object(s) button ZoomObjectsButton-New .
Greyscale View button GrayscaleViewButton-Old . | Preview Relief Layer button PreviewReliefLayerButton-New .
Vectors On/Off button VectorsOnOffButton-Old . | Toggle All Visibility button ToggleAllVisibilityButtonON-New in Vectors area of Layers Manager.
Bitmaps On/Off button BitmapOnOffButton-Old . | Toggle All Visibility button ToggleAllVisibilityButtonON-New in Bitmaps area of Layers Manager.


Enhanced 3D View Toolbar

The icons on the 3D View toolbar have been updated as follows:

ArtCAM Pro 8.1

ArtCAM Pro 9.0

2D View Twiddle Tool Pan View Zoom Zoom Out Previous View Scale To Fit Isometric View View Along X View Along Y View Down Z Select Relief Detail Draw Zero Plane Draw X Y Origin Objects To Draw Colour Shade

Summary

The table below contains a summary of the button changes on the 3D View toolbar:

ArtCAM Pro 8.1 | ArtCAM Pro 9.0
2D View button 2DViewButton-Old . | 2D View button 2DViewButton-New .
Twiddle Tool button TwiddleToolButton-Old . | Twiddle Tool button TwiddleToolButton-New .
Pan View button PanViewButton-Old . | Pan View button PanViewButton-New .
Zoom button ZoomButton-Old . | Zoom button ZoomButton-New .
Zoom Out button ZoomOutButton-Old . | Zoom Out button ZoomOutButton-New .
Previous View button PreviousViewButton-Old . | Previous View button PreviousViewButton-New .
Scale To Fit button ScaleToFitButton-Old . | Scale To Fit button ScaleToFitButton-New .
Isometric View button IsometricViewButton-Old . | Isometric View button IsometricViewButton-New .
View Along X button ViewAlongXButton-Old . | View Along X button ViewAlongXButton-New .
View Along Y button ViewAlongYButton-Old . | View Along Y button ViewAlongYButton-New .
View Down Z button ViewDownZButton-Old . | View Down Z button ViewDownZButton-New .
Draw Zero Plane button DrawZeroPlane-Old . | Draw Zero Plane button DrawZeroPlane-New .
Origin button OriginButton-Old . | Origin button OriginButton-New .
Objects To Draw button ObjectsToDrawButton-Old . | Objects To Draw button ObjectsToDrawButton-New .
Colour Shade button ColourShadeButton-Old . | Colour Shade button ColourShadeButton-New .


Modified Top Toolbar

All of the eight tabs previously found on the Top Toolbar have been removed. The buttons originally found on the File tab now make up the entire Top Toolbar, with the exception of the Import Vector Data and Selection Rectangle buttons which have both been removed completely.

  • You can find all of the buttons that were originally on the eight tabs in the Top Toolbar in the different areas of the Assistant's Home page.

ArtCAM Pro 8.1

ArtCAM Pro 9.0

New Model Open File Save Cut Copy Paste Undo Redo Display/Hide Notes Help Index Options

  • The Top Toolbar is hidden by default. You can toggle the display of the Top Toolbar using the Window > Show Top Toolbar option from the Main Menu bar.


Modified Main Menu Bar

There are now nine rather than ten menu options in the Main Menu bar:

ArtCAM Pro 8.1

ArtCAM Pro 9.0

Control Menu File Menu Edit Menu Model Menu Vectors Menu Bitmaps Menu Reliefs Menu Toolpaths Menu Window Menu Help Menu

The new appearance of the Main Menu bar is a direct result of the following changes:

  • The 2D View menu has been relocated to the new Bitmaps menu.
ArtCAM Pro 8.1 | ArtCAM Pro 9.0
2DViewMenu-Old | ViewsMenu-New
  • The 2D View > Display/Hide Notes menu option is now the Model > Display/Hide Notes menu option:
ArtCAM Pro 8.1 | ArtCAM Pro 9.0
2DView-DisplayHideNotes | Mode-DisplayHideNotes
  • The 2D View > Sheets menu option is now the Vectors > Sheets menu option:
ArtCAM Pro 8.1 | ArtCAM Pro 9.0
2DView-Sheets | Vectors-Sheets
  • The 2D View > Bitmap Layer menu option has been removed.
    • You can toggle the visibility of all bitmap artwork using the Toggle All Visibility button ToggleAllVisibilityButtonON-New in the Bitmaps area of the Layers Manager, or using the Alt + B keys on your keyboard.
  • The 2D View > Greyscale Layer menu option has been removed.
    • You can toggle the visibility of a greyscale image of a selected relief layer using the Preview Relief Layer button PreviewReliefLayerButton-New in the 2D View toolbar, or using the Alt + G keys on your keyboard.
  • The 2D View > Vector Layer menu option has been removed.
    • You can toggle the visibility of all vector artwork using the Toggle All Visibility button ToggleAllVisibilityButtonON-New in the Vectors area of the Layers Manager, or using the Alt + V keys on your keyboard.
  • The Colour menu has been relocated to the new Bitmaps menu.
ArtCAM Pro 8.1 | ArtCAM Pro 9.0
ColourMenu-Old | ColourMenu-New
  • The Colour > Shape Editor... menu option is now the Model > Shape Editor... menu option:
ArtCAM Pro 8.1 | ArtCAM Pro 9.0
Colour-ShapeEditor | ModelMenu-ShapeEditor
  • The Colour > Load... menu option is now the Bitmaps > Colour > Load Palette... menu option:
ArtCAM Pro 8.1 | ArtCAM Pro 9.0
Colour-Load | Bitmaps-Colour-LoadPalette
  • The Colour > Save... menu option is now the Bitmaps > Colour > Save Palette... menu option.
ArtCAM Pro 8.1 | ArtCAM Pro 9.0
Colour-Save | Bitmaps-Colour-SavePalette


Enhanced Project Tree

The icons in the Project tree found on the Project tab have been updated so that they correlate with the overall new look of the ArtCAM Pro interface:

ArtCAM Pro 8.1 | ArtCAM Pro 9.0
ProjectTree-Old | ProjectTree-New